Bug 186930 - [maintainer update] sysutils/monit 5.7
Summary: [maintainer update] sysutils/monit 5.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-20 23:00 UTC by martinp
Modified: 2014-02-21 01:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description martinp 2014-02-20 23:00:00 UTC
diff -ruN monit/Makefile monit-new/Makefile
--- monit/Makefile	2013-09-21 01:05:58.000000000 +0200
+++ monit-new/Makefile	2014-02-20 23:48:13.000000000 +0100
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/monit/Makefile 327772 2013-09-20 23:05:58Z bapt $
 
 PORTNAME=	monit
-PORTVERSION=	5.6
+PORTVERSION=	5.7
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.mmonit.com/monit/dist/
 
diff -ruN monit/distinfo monit-new/distinfo
--- monit/distinfo	2013-09-04 03:15:45.000000000 +0200
+++ monit-new/distinfo	2014-02-20 23:48:33.000000000 +0100
@@ -1,2 +1,2 @@
-SHA256 (monit-5.6.tar.gz) = 38e09bd8b39abc59e6b9a9bb7a78f7eac2b02a92f4de1f3a6dc24e84dfedae0d
-SIZE (monit-5.6.tar.gz) = 1263370
+SHA256 (monit-5.7.tar.gz) = bb250ab011d805b5693972afdf95509e79bb3b390caa763275c9501f74b598a2
+SIZE (monit-5.7.tar.gz) = 1266763
Comment 1 Edwin Groothuis freebsd_committer 2014-02-20 23:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Felder freebsd_committer 2014-02-21 00:59:25 UTC
Responsible Changed
From-To: sunpoet->feld

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-02-21 01:02:23 UTC
Author: feld
Date: Fri Feb 21 01:02:15 2014
New Revision: 345279
URL: http://svnweb.freebsd.org/changeset/ports/345279
QAT: https://qat.redports.org/buildarchive/r345279/

Log:
  Update to 5.7
  STAGE support
  
  PR:		ports/186930

Modified:
  head/sysutils/monit/Makefile
  head/sysutils/monit/distinfo

Modified: head/sysutils/monit/Makefile
==============================================================================
--- head/sysutils/monit/Makefile	Fri Feb 21 00:33:48 2014	(r345278)
+++ head/sysutils/monit/Makefile	Fri Feb 21 01:02:15 2014	(r345279)
@@ -2,18 +2,18 @@
 # $FreeBSD$
 
 PORTNAME=	monit
-PORTVERSION=	5.6
+PORTVERSION=	5.7
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.mmonit.com/monit/dist/
 
 MAINTAINER=	martinp@tildeslash.com
 COMMENT=	Unix system management and proactive monitoring
 
-MAN1=	monit.1
+LICENSE=	GPLV3
+LICENSE_FILE=	COPYING
 
 GNU_CONFIGURE=	yes
-USES=	bison
-USE_GMAKE=	yes
+USES=	bison gmake
 USE_RC_SUBR=	${PORTNAME}
 
 CONFIGURE_ENV=	CONFIG_SHELL="${SH}" \
@@ -23,13 +23,13 @@ OPTIONS_DEFINE=	SSL
 OPTIONS_DEFAULT=	SSL
 
 PLIST_FILES=	bin/monit \
-		etc/monitrc.sample
+		etc/monitrc.sample \
+		man/man1/monit.1.gz
 
 SUB_FILES=	pkg-message
 
 PORTDOCS=	CHANGES COPYING README
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ! ${PORT_OPTIONS:MSSL}
@@ -37,10 +37,10 @@ CONFIGURE_ARGS+=	--without-ssl
 .endif
 
 post-install:
-	${INSTALL} -m 600 ${WRKSRC}/monitrc ${PREFIX}/etc/monitrc.sample
+	${INSTALL} -m 600 ${WRKSRC}/monitrc ${STAGEDIR}${PREFIX}/etc/monitrc.sample
 .if ${PORT_OPTIONS:MDOCS}
-	${INSTALL} -d ${DOCSDIR}
-	cd ${WRKSRC} && ${INSTALL} -m 644 ${PORTDOCS} ${DOCSDIR}
+	${INSTALL} -d ${STAGEDIR}${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL} -m 644 ${PORTDOCS} ${STAGEDIR}${DOCSDIR}
 .endif
 	@${CAT} ${PKGMESSAGE}
 

Modified: head/sysutils/monit/distinfo
==============================================================================
--- head/sysutils/monit/distinfo	Fri Feb 21 00:33:48 2014	(r345278)
+++ head/sysutils/monit/distinfo	Fri Feb 21 01:02:15 2014	(r345279)
@@ -1,2 +1,2 @@
-SHA256 (monit-5.6.tar.gz) = 38e09bd8b39abc59e6b9a9bb7a78f7eac2b02a92f4de1f3a6dc24e84dfedae0d
-SIZE (monit-5.6.tar.gz) = 1263370
+SHA256 (monit-5.7.tar.gz) = bb250ab011d805b5693972afdf95509e79bb3b390caa763275c9501f74b598a2
+SIZE (monit-5.7.tar.gz) = 1266763
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Mark Felder freebsd_committer 2014-02-21 01:02:51 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!